Bug 170794 - cron misinterprets escaped percent signs
cron misinterprets escaped percent signs
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
Depends On: 110189
Blocks: 161600
  Show dependency treegraph
Reported: 2005-10-14 11:57 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005:0117
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-01 13:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-10-14 11:57:04 EDT
+++ This bug was initially created as a clone of Bug #110189 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
cron seems to be misinterpreting backslash-escaped percent sign
characters in commands.  Normally, cron will replace a percent sign in
a command string with a newline.  While preceeding the percent sign
with a backslash prevents this replacement, it leaves the backslash.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a crontab entry such as: 
@reboot date "+Rebooted at \%c" | mail -s reboot root
2. Reboot

Actual Results:  root gets email saying:
Rebooted at \Sun Nov 16 13:59:47 2003

Expected Results:  root should get email saying:
Rebooted at Sun Nov 16 13:59:47 2003

Additional info:

-- Additional comment from jvdias@redhat.com on 2004-08-04 18:56 EST --
fixed in vixie-cron-4.1-+
Comment 1 Jason Vas Dias 2005-10-14 11:58:03 EDT
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
and should be considered for inclusion in RHEL-3-U7 .
Comment 3 Jason Vas Dias 2006-05-01 13:53:01 EDT
Fixed with vixie-cron-4.1-10.EL3, currently in RHEL-3-U7 with errata

Note You need to log in before you can comment on or make changes to this bug.